function  varargout= exam_3_17( varargin )
%EXAM_3_17 用varargin和varargout函数控制输入输出参数的个数画正弦曲线
%   varargin 输入参数，varargout输出参数
% 徐国保于2017年2月26日编写
t=0:0.1:2*pi;
x=length(varargin);
y=x*sin(t);
hold on
if x==0
    plot(t,y)
elseif x==1
    plot(t,y,varargin{1})
else
    plot(t,y,[varargin{1} varargin{2}])
end
varargout{1}=x;
end

